/*
 * Copyright 2019 Thibault Seisel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.nihilus.music.service.extensions

import android.content.ContentResolver
import android.content.res.Resources
import android.net.Uri
import androidx.annotation.DrawableRes

/**
 * Retrieve the [Uri] of a given drawable resource.
 */
internal fun Resources.getResourceUri(@DrawableRes drawableResId: Int): Uri = Uri.Builder()
    .scheme(ContentResolver.SCHEME_ANDROID_RESOURCE)
    .authority(getResourcePackageName(drawableResId))
    .appendPath(getResourceTypeName(drawableResId))
    .appendPath(getResourceName(drawableResId))
    .build()